"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.APIError = void 0;
class APIError extends Error {
    constructor(error) {
        console.error({ method: error.method, params: error.params, error: error.error });
        super(`API Error (${error.method} method): ${error.error}`);
        this.error = error;
        this.method = this.error.method;
        this.params = this.error.params;
        this.error_code = this.error.error;
    }
}
exports.APIError = APIError;
