import { CommandInstance } from '../../../commands';
import { TelegramSendMessageParams } from '../../../types';
import { MessageContext, CallbackQueryContext, IncomingMessageContext } from '../../../migrated';
export declare class CommandContext extends IncomingMessageContext {
    message?: MessageContext;
    callbackQuery?: CallbackQueryContext;
    send(text: string, params?: Partial<TelegramSendMessageParams>): Promise<IncomingMessageContext>;
    send(params: Omit<TelegramSendMessageParams, 'chat_id'>): Promise<IncomingMessageContext>;
    redirect(command: CommandInstance, args?: Record<string, any>): Promise<any>;
    redirectToBack(): Promise<any>;
}
