import { TelegramEditMessageTextParams } from '../../../types';
import { BotContext } from '../../../migrated';
import { MessageContext } from './Message.context';
export declare class IncomingMessageContext extends MessageContext {
    senderBusinessBot: BotContext | undefined;
    user: BotContext;
    /** Edit the text or caption of the message to the given text. */
    edit(text: string, params?: Partial<TelegramEditMessageTextParams>): Promise<IncomingMessageContext | true>;
    edit(params: {
        text: string;
    } & Partial<TelegramEditMessageTextParams>): Promise<IncomingMessageContext | true>;
}
