import { TelegramServiceMessageType } from '../../../types';
import { MessageMethods } from './MessageMethods';
export declare class ServiceMessage extends MessageMethods {
    id: number;
    name: TelegramServiceMessageType;
    boost_added: import("../../../types").TelegramChatBoostAdded | undefined;
    proximity_alert_triggered: import("../../../types").TelegramProximityAlertTriggered | undefined;
    forum_topic_created: import("../../../types").TelegramForumTopicCreated | undefined;
    forum_topic_edited: import("../../../types").TelegramForumTopicEdited | undefined;
    forum_topic_closed: any;
    forum_topic_reopened: any;
    general_forum_topic_hidden: any;
    general_forum_topic_unhidden: any;
    giveaway_created: any;
    giveaway_completed: import("../../../types").TelegramGiveawayCompleted | undefined;
    video_chat_scheduled: import("../../../types").TelegramVideoChatScheduled | undefined;
    video_chat_started: any;
    video_chat_ended: import("../../../types").TelegramVideoChatEnded | undefined;
    video_chat_participants_invited: import("../../../types").TelegramVideoChatParticipantsInvited | undefined;
    web_app_data: import("../../../types").TelegramWebAppData | undefined;
    chat_background_set: import("../../../types").TelegramChatBackground | undefined;
    delete_chat_photo: boolean | undefined;
    group_chat_created: boolean | undefined;
    channel_chat_created: boolean | undefined;
    message_auto_delete_timer_changed: import("../../../types").TelegramMessageAutoDeleteTimerChanged | undefined;
    successful_payment: import("../../../types").TelegramSuccessfulPayment | undefined;
    users_shared: import("../../../types").TelegramUsersShared | undefined;
    chat_shared: import("../../../types").TelegramChatShared | undefined;
    write_access_allowed: import("../../../types").TelegramWriteAccessAllowed | undefined;
    refunded_payment: import("../../../types").TelegramRefundedPayment | undefined;
}
