import { Context } from '../../core';
import { TelegramBusinessMessagesDeleted } from '../../../types';
import { ChatContext } from '../../../migrated';
export declare class BusinessMessagesDeletedContext extends Context<TelegramBusinessMessagesDeleted> {
    /** Chat associated with the deleted business messages. */
    chat: ChatContext;
    /** Business connection ID related to the deleted messages. */
    business_connection_id: string;
    /** IDs of the deleted messages. */
    message_ids: number[];
}
