import { BaseEntity } from 'typeorm';
import { UserHistory } from '../instances';
import { TelegramUser } from '../../types';
export declare class UserEntity extends BaseEntity {
    id: any;
    user_id: number;
    banned: boolean;
    telegram_data: TelegramUser;
    language: string;
    created_at: Date;
    access_level: number;
    payload: Record<string, any>;
    last_activity: Date;
    history: (UserHistory & {
        command: string;
    })[];
}
