"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserEntity = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("typeorm");
let UserEntity = class UserEntity extends typeorm_1.BaseEntity {
};
exports.UserEntity = UserEntity;
tslib_1.__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('increment'),
    tslib_1.__metadata("design:type", Object)
], UserEntity.prototype, "id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Index)(),
    (0, typeorm_1.Column)({ type: 'integer' }),
    tslib_1.__metadata("design:type", Number)
], UserEntity.prototype, "user_id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: false }),
    tslib_1.__metadata("design:type", Boolean)
], UserEntity.prototype, "banned", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'json' }),
    tslib_1.__metadata("design:type", Object)
], UserEntity.prototype, "telegram_data", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', length: 5, nullable: true }),
    tslib_1.__metadata("design:type", String)
], UserEntity.prototype, "language", void 0);
tslib_1.__decorate([
    (0, typeorm_1.CreateDateColumn)(),
    tslib_1.__metadata("design:type", Date)
], UserEntity.prototype, "created_at", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'tinyint', default: 0 }),
    tslib_1.__metadata("design:type", Number)
], UserEntity.prototype, "access_level", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'json', nullable: true }),
    tslib_1.__metadata("design:type", Object)
], UserEntity.prototype, "payload", void 0);
tslib_1.__decorate([
    (0, typeorm_1.CreateDateColumn)(),
    tslib_1.__metadata("design:type", Date)
], UserEntity.prototype, "last_activity", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'json', array: true, default: '[]' }),
    tslib_1.__metadata("design:type", Array)
], UserEntity.prototype, "history", void 0);
exports.UserEntity = UserEntity = tslib_1.__decorate([
    (0, typeorm_1.Entity)('users')
], UserEntity);
