import { Context } from '../../contexts';
import { ChatEntity } from '../entities';
export type UserHistory = {
    command: any;
    arguments?: Record<string, any>;
};
export declare class ChatDBContext<T extends Record<string, any> = any> extends Context<Partial<ChatEntity> & {
    chat_id: number;
}> {
    readonly id: number;
    private _createdAt;
    get createdAt(): Date;
    set createdAt(value: Date);
    private _lastActivity;
    get lastActivity(): number;
    set lastActivity(value: number);
    private _status;
    get status(): number;
    set status(value: number);
    private _payload;
    set payload(value: T);
    get payload(): T;
    private initCreatedAt;
    private initPayload;
    private saveTimeout;
    private save;
    private saveToDatabase;
    structure(entity: ChatEntity): T;
}
