import { Evogram } from '..';
import { Command } from '../commands';
import { EvogramInlineKeyboardButton } from './keyboard.interface';
export declare class SmartButton {
    #private;
    private client;
    readonly callbackData: string;
    commandName: string;
    onlyForUser: number;
    id: string;
    redirect: string;
    isBackButton: boolean;
    constructor(client: Evogram, callbackData: string);
    get isSmart(): boolean;
    get command(): Command | undefined;
    init(): Promise<void>;
    get keyboard(): EvogramInlineKeyboardButton[][];
    get onClick(): any;
    get payload(): Record<string, any>;
}
