import { Evogram } from '../Client';
import { UpdateContext } from '../contexts';
export declare enum EventTransportState {
    Enabled = 1,
    Disabled = 0
}
export declare abstract class EventTransport {
    protected client: Evogram;
    state: EventTransportState;
    constructor(client: Evogram);
    abstract start(params: any, handle: any): void;
    abstract stop(): void;
    onUpdate(context: UpdateContext): Promise<void>;
}
