import { ValidatorFunction, ValidatorOptions } from './types';
export declare enum StringValidatorError {
    VALUE_REQUIRED = "VALUE_REQUIRED",
    TOO_SHORT = "TOO_SHORT",
    TOO_LONG = "TOO_LONG",
    INVALID_FORMAT = "INVALID_FORMAT"
}
export interface StringValidatorOptions extends ValidatorOptions {
    minLength?: number;
    maxLength?: number;
    pattern?: RegExp;
}
export declare const stringValidator: (options?: StringValidatorOptions) => ValidatorFunction;
