import { Evogram } from '../../Client';
import { BaseMiddleware, MiddlewareContext } from './types';
export declare class MiddlewareManager {
    private client;
    static middlewares: BaseMiddleware[];
    private middlewares;
    constructor(client: Evogram);
    use(middleware: BaseMiddleware): void;
    private createNextFunction;
    executeBefore(ctx: MiddlewareContext): Promise<Record<string, any> | null>;
    executeAfter(ctx: MiddlewareContext): Promise<void>;
    executeError(ctx: MiddlewareContext, error: any): Promise<void>;
}
