/**
 * Context decorator function.
 * Registers a class as a context with the `ContextManager`.
 *
 * @param key - The key under which to register the context.
 * @returns A decorator function.
 */
export declare function ContextD(key: string): (constructor: new (...args: any[]) => any) => void;
