import { ChatDBContext } from '../../../database/instances/ChatDB.context';
import { TelegramChat } from '../../../types';
import { Context } from '../../core';
export declare class ChatContext extends Context<TelegramChat> {
    id: number;
    firstName: string | undefined;
    lastName: string | undefined;
    username: string | undefined;
    type: import("../../../types").TelegramChatType;
    isForum: boolean | undefined;
    /** Returns the user's full name. */
    title: string;
    /** Returns the user's appeal, which is either their username or full name. */
    appeal: string;
    chatDB: ChatDBContext;
}
