"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BusinessMessagesDeletedContext = void 0;
const tslib_1 = require("tslib");
const core_1 = require("../../core");
let BusinessMessagesDeletedContext = class BusinessMessagesDeletedContext extends core_1.Context {
    constructor() {
        super(...arguments);
        /** Chat associated with the deleted business messages. */
        this.chat = this.getContext({ key: 'Chat', source: this.source.chat });
        /** Business connection ID related to the deleted messages. */
        this.business_connection_id = this.source.business_connection_id;
        /** IDs of the deleted messages. */
        this.message_ids = this.source.message_ids;
    }
};
exports.BusinessMessagesDeletedContext = BusinessMessagesDeletedContext;
exports.BusinessMessagesDeletedContext = BusinessMessagesDeletedContext = tslib_1.__decorate([
    (0, core_1.ContextD)('BusinessMessagesDeleted')
], BusinessMessagesDeletedContext);
