"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigService = void 0;
const Config_entity_1 = require("./entities/Config.entity");
class ConfigService {
    constructor(db) {
        this.db = db;
    }
    get(key) {
        return this.db.getRepository(Config_entity_1.ConfigEntity).findOne({ where: { key } });
    }
    set(key, value) {
        this.db.getRepository(Config_entity_1.ConfigEntity).delete({ key });
        return this.db.getRepository(Config_entity_1.ConfigEntity).save({ key, value });
    }
}
exports.ConfigService = ConfigService;
