"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatEntity = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("typeorm");
let ChatEntity = class ChatEntity extends typeorm_1.BaseEntity {
};
exports.ChatEntity = ChatEntity;
tslib_1.__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('increment'),
    tslib_1.__metadata("design:type", Object)
], ChatEntity.prototype, "id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Index)(),
    (0, typeorm_1.Column)({ type: 'integer' }),
    tslib_1.__metadata("design:type", Number)
], ChatEntity.prototype, "chat_id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.CreateDateColumn)(),
    tslib_1.__metadata("design:type", Date)
], ChatEntity.prototype, "created_at", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'tinyint', default: 0 }),
    tslib_1.__metadata("design:type", Number)
], ChatEntity.prototype, "status", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'json', nullable: true }),
    tslib_1.__metadata("design:type", Object)
], ChatEntity.prototype, "payload", void 0);
tslib_1.__decorate([
    (0, typeorm_1.CreateDateColumn)(),
    tslib_1.__metadata("design:type", Date)
], ChatEntity.prototype, "last_activity", void 0);
exports.ChatEntity = ChatEntity = tslib_1.__decorate([
    (0, typeorm_1.Entity)('chats')
], ChatEntity);
