import { BaseEntity } from 'typeorm';
import { TelegramMessage } from '../../types';
import { UserHistory } from '../instances';
export declare class MessageEntity extends BaseEntity {
    id: any;
    message_id: string;
    chat_id: number;
    user_id: number;
    deleted: boolean;
    history: (UserHistory & {
        command: string;
    })[];
    sended_data: Record<string, any>;
    telegram_data: TelegramMessage;
    payload: Record<string, any>;
    created_at: Date;
}
