"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageEntity = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("typeorm");
let MessageEntity = class MessageEntity extends typeorm_1.BaseEntity {
};
exports.MessageEntity = MessageEntity;
tslib_1.__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('increment'),
    tslib_1.__metadata("design:type", Object)
], MessageEntity.prototype, "id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'integer' }),
    tslib_1.__metadata("design:type", String)
], MessageEntity.prototype, "message_id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'integer', nullable: true }),
    tslib_1.__metadata("design:type", Number)
], MessageEntity.prototype, "chat_id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'integer', nullable: true }),
    tslib_1.__metadata("design:type", Number)
], MessageEntity.prototype, "user_id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: false }),
    tslib_1.__metadata("design:type", Boolean)
], MessageEntity.prototype, "deleted", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'json', array: true, default: '[]' }),
    tslib_1.__metadata("design:type", Array)
], MessageEntity.prototype, "history", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'json', nullable: true }),
    tslib_1.__metadata("design:type", Object)
], MessageEntity.prototype, "sended_data", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'json', nullable: true }),
    tslib_1.__metadata("design:type", Object)
], MessageEntity.prototype, "telegram_data", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({ type: 'json', nullable: true }),
    tslib_1.__metadata("design:type", Object)
], MessageEntity.prototype, "payload", void 0);
tslib_1.__decorate([
    (0, typeorm_1.CreateDateColumn)(),
    tslib_1.__metadata("design:type", Date)
], MessageEntity.prototype, "created_at", void 0);
exports.MessageEntity = MessageEntity = tslib_1.__decorate([
    (0, typeorm_1.Entity)('messages')
], MessageEntity);
