import { DataSource } from 'typeorm';
import { Evogram } from '../../Client';
import { MessageEntity } from '../entities/Message.entity';
export declare class MessageService {
    private readonly client;
    dataSource: DataSource;
    constructor(client: Evogram, dataSource: DataSource);
    addMessage(message: Partial<MessageEntity>): Promise<void>;
    updateMessage(id: any, message: MessageEntity): Promise<import("typeorm").UpdateResult>;
    getMessage(chat: number, id: number): Promise<MessageEntity | null>;
    deleteMessages(ids: number[]): Promise<void>;
}
