"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.inlineKeyboardTypes = void 0;
exports.KeyboardConvert = KeyboardConvert;
const tslib_1 = require("tslib");
exports.inlineKeyboardTypes = ['switch_inline_query', 'switch_inline_query_current_chat'];
function KeyboardConvert(client, params) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        var _a, _b, _c;
        const inline_keyboard = [];
        for (const row of params) {
            inline_keyboard.push([]);
            for (const button of row) {
                let id;
                //@ts-ignore
                if (['command', 'redirect', 'onlyForUser', 'isBackButton', 'payload'].find((x) => button[x])) {
                    id = (yield client.database.addCallbackData({
                        keyboard: button.keyboard,
                        payload: button.payload,
                        onClick: (_a = button.onClick) === null || _a === void 0 ? void 0 : _a.toString(),
                        //@ts-ignore
                        command: ((_b = button.command) === null || _b === void 0 ? void 0 : _b.name) || button.command,
                        onlyForUser: (_c = button.onlyForUser) === null || _c === void 0 ? void 0 : _c.toString(),
                        redirect: button.redirect,
                        isBackButton: button.isBackButton,
                    })).button_id;
                }
                //@ts-ignore
                if (exports.inlineKeyboardTypes.find((x) => button[x])) {
                    //@ts-ignore
                    inline_keyboard[inline_keyboard.length - 1].push(Object.assign(Object.assign({}, button), { 
                        //@ts-ignore
                        [exports.inlineKeyboardTypes.find((x) => button[x])]: (id || '') + button[exports.inlineKeyboardTypes.find((x) => button[x])] || '' }));
                }
                else {
                    //@ts-ignore
                    inline_keyboard[inline_keyboard.length - 1].push(Object.assign(Object.assign({}, button), { callback_data: id ? `cdm ${id}` : button.callback_data }));
                }
            }
        }
        return inline_keyboard;
    });
}
