"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const contexts_1 = require("../../contexts");
const __1 = require("..");
class QuestionMiddleware {
    middleware(ctx, next) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            var _a;
            if (!((_a = ctx.message) === null || _a === void 0 ? void 0 : _a.from))
                return next();
            if (ctx.client.question.priority === 'command' && ctx.state.command)
                return next();
            const userId = ctx.message.from.id;
            const question = ctx.client.question.getQuestion(userId);
            // Логирование наличия активного вопроса
            if (question)
                return question(contexts_1.ContextManager.getContext('Message', { client: ctx.client, source: ctx.message, state: ctx.state }));
            return next();
        });
    }
}
tslib_1.__decorate([
    (0, __1.MiddlewareD)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [Object, Object]),
    tslib_1.__metadata("design:returntype", Promise)
], QuestionMiddleware.prototype, "middleware", null);
