"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Updates = void 0;
const transports_1 = require("../transports");
class Updates {
    constructor(client) {
        this.client = client;
        this.handlers = {};
        this.polling = new transports_1.Polling(this.client);
    }
    on(update, handler) {
        this.handlers[update] = (this.handlers[update] || []).concat(handler);
        return this;
    }
}
exports.Updates = Updates;
