"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.state = state;
function state() {
    return (target, propertyKey) => {
        const originalMethod = target[propertyKey];
        target[propertyKey] = function (...args) {
            const result = originalMethod.apply(this, args);
            return result;
        };
    };
}
