import { TelegramSendMessageParams } from '../types';
export interface Template {
    text: string;
    [key: string]: any;
}
export declare class TemplateUtil {
    private static templates;
    static loadTemplates(path: string): void;
    static getTemplate(path: string, params?: Record<string, any>): TelegramSendMessageParams;
    private static findNestedTemplate;
    static interpolate(template: string, params?: Record<string, any>): string;
    private static interpolateObject;
}
