import { ValidatorFunction, ValidatorOptions } from './types';
export declare enum BooleanValidatorError {
    VALUE_REQUIRED = "VALUE_REQUIRED",
    INVALID_BOOLEAN = "INVALID_BOOLEAN"
}
export interface BooleanValidatorOptions extends ValidatorOptions {
    trueValues?: string[];
    falseValues?: string[];
}
export declare const DEFAULT_TRUE_VALUES: string[];
export declare const DEFAULT_FALSE_VALUES: string[];
export declare const parseBoolean: (value: string, trueValues?: string[], falseValues?: string[]) => boolean | null;
export declare const booleanValidator: (options?: BooleanValidatorOptions) => ValidatorFunction;
