import { ValidatorFunction, ValidatorOptions } from './types';
export declare enum CardValidatorError {
    VALUE_REQUIRED = "VALUE_REQUIRED",
    INVALID_FORMAT = "INVALID_FORMAT",
    INVALID_LENGTH = "INVALID_LENGTH"
}
export interface CardValidatorOptions extends ValidatorOptions {
    allowedCardTypes?: string[];
}
export declare const CARD_PATTERNS: Record<string, {
    pattern: RegExp;
    length: number;
}>;
export declare const cardValidator: (options?: CardValidatorOptions) => ValidatorFunction;
