import { ValidatorFunction, ValidatorOptions } from './types';
export declare enum DateValidatorError {
    VALUE_REQUIRED = "VALUE_REQUIRED",
    INVALID_DATE = "INVALID_DATE",
    DATE_TOO_EARLY = "DATE_TOO_EARLY",
    DATE_TOO_LATE = "DATE_TOO_LATE"
}
export interface DateValidatorOptions extends ValidatorOptions {
    minDate?: Date;
    maxDate?: Date;
}
export declare const parseDate: (value: string) => Date | null;
export declare const dateValidator: (options?: DateValidatorOptions) => ValidatorFunction;
